%define branch 1
%{?_branch: %{expand: %%global branch 1}}
%define revision 714873

%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%if %{unstable}
%define dont_strip 1
%endif

Name: kdeplayground4-plasma
Summary: kdeplayground4-plasma
Version: 3.93.0
Release: %mkrel 0.%{revision}.1
Group: Graphical desktop/KDE
License: LGPL
URL: http://www.kde.org
Source:	kdeplayground4-plasma-%version.%{revision}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake >= 2.4.5
BuildRequires: qt4-devel
BuildRequires: kdebase4-workspace-devel
BuildRequires: lm_sensors-devel
BuildRequires: qimageblitz-devel

%description
- Plasma applets and engines

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_kde_bindir}/lancelot
%{_kde_bindir}/plasmagik
%{_kde_libdir}/kde4/plasma_engine_*
%{_kde_datadir}/kde4/services/plasma-engine*.desktop
%{_kde_libdir}/kde4/plasma_applet_*
%{_kde_bindir}/plasmaappletbrowser
%{_kde_datadir}/kde4/services/plasma-applet*.desktop
%{_kde_libdir}/libplasma_widget_*.so.*
%{_kde_appsdir}/desktoptheme/default/widgets/*.svg
%{_kde_datadir}/kde4/services/plasma-battery-default.desktop
%{_kde_datadir}/kde4/services/plasma-clock-digital.desktop
%{_kde_datadir}/kde4/services/plasma-dict-default.desktop
%{_kde_datadir}/kde4/services/plasma-fileWatcher-default.desktop
%{_kde_datadir}/kde4/services/plasma-frame-default.desktop
%{_kde_datadir}/kde4/services/plasma-groupphoto-default.desktop
%{_kde_datadir}/kde4/services/plasma-kget-default.desktop
%{_kde_datadir}/kde4/services/plasma-kolourpicker-default.desktop
%{_kde_datadir}/kde4/services/plasma-network-default.desktop
%{_kde_datadir}/kde4/services/plasma-news-default.desktop
%{_kde_datadir}/kde4/services/plasma-notes-default.desktop
%{_kde_datadir}/kde4/services/plasma-pager-default.desktop
%{_kde_datadir}/kde4/services/plasma-rotator-default.desktop
%{_kde_datadir}/kde4/services/plasma-samplegl-default.desktop
%{_kde_datadir}/kde4/services/plasma-script-default.desktop
%{_kde_datadir}/kde4/services/plasma-script-mousearrow.desktop
%{_kde_datadir}/kde4/services/plasma-script-tiger.desktop
%{_kde_datadir}/kde4/services/plasma-script-weather.desktop
%{_kde_datadir}/kde4/services/plasma-slideInSlideOut-default.desktop
%{_kde_datadir}/kde4/services/plasma-solidnotifier-default.desktop
%{_kde_datadir}/kde4/services/plasma-testgl2-default.desktop
%{_kde_datadir}/kde4/services/plasma-twitter-default.desktop
%{_kde_datadir}/kde4/services/plasma-welcome-default.desktop
%{_kde_datadir}/apps/desktoptheme/default/lancelot/action_list_view.svg
%{_kde_datadir}/apps/desktoptheme/default/lancelot/default_button.svg
%{_kde_datadir}/apps/desktoptheme/default/lancelot/extender_button.svg
%{_kde_datadir}/apps/desktoptheme/default/lancelot/extender_button_icon.svg
%{_kde_datadir}/apps/desktoptheme/default/lancelot/theme.svg
%{_kde_datadir}/apps/desktoptheme/default/menu/elementbgnormal.svg
%{_kde_datadir}/apps/desktoptheme/default/menu/raptorslide.svg
%{_kde_datadir}/apps/groupphoto/group-photo-2006.html
%{_kde_datadir}/apps/groupphoto/group-photo-2006.jpg
%{_kde_datadir}/apps/groupphoto/group-photo.html
%{_kde_datadir}/apps/groupphoto/group-photo.jpg
%{_kde_datadir}/apps/moodbar/01_-_My_Fairy_King.mood
%{_kde_datadir}/apps/news/feeds
%{_kde_datadir}/apps/plasma-bluemarble/atmosphere.frag
%{_kde_datadir}/apps/plasma-bluemarble/atmosphere.vert
%{_kde_datadir}/apps/plasma-bluemarble/earth-night.png
%{_kde_datadir}/apps/plasma-bluemarble/earth.frag
%{_kde_datadir}/apps/plasma-bluemarble/earth.png
%{_kde_datadir}/apps/plasma-bluemarble/earth.vert
%{_kde_datadir}/apps/plasma-desktop/DesktopLinks/Home.desktop
%{_kde_datadir}/apps/plasma-desktop/DesktopLinks/System.desktop
%{_kde_datadir}/apps/plasma-desktop/directory.autostart
%{_kde_datadir}/apps/plasma-desktop/directory.desktop
%{_kde_datadir}/apps/plasma-desktop/directory.templates
%{_kde_datadir}/apps/plasma-desktop/directory.trash
%{_kde_datadir}/apps/plasma-script/MouseArrow.js
%{_kde_datadir}/apps/plasma-script/Script.js
%{_kde_datadir}/apps/plasma-script/ScriptWeather.js
%{_kde_datadir}/apps/plasma-script/Tiger.js
%{_kde_datadir}/apps/plasma-script/script_config.ui
%{_kde_datadir}/apps/plasma-script/weather_applet.ui
%{_kde_datadir}/apps/solid/actions/test-solid-notifier.desktop
%{_kde_datadir}/config.kcfg/plasmadesktop.kcfg
%{_kde_datadir}/dbus-1/services/org.kde.lancelot.service
%{_kde_datadir}/kde4/services/krunner_webshortcuts.desktop

#---------------------------------------------------------------------------------

%package devel
Summary: Development Libraries.
Group: Development/C
Provides: kdeplayground4-plasma-devel
Requires: kdeplayground4-plasma

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%files devel
%defattr(-,root,root)
%{_kde_includedir}/plasma/widgets/svgwidget.h
%{_kde_libdir}/kde4/krunner_webshortcuts.so
%{_kde_libdir}/*.so

#---------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4 \
%if %unstable
      -DCMAKE_BUILD_TYPE=debugfull 
%endif

%make


%install
rm -rf %buildroot
cd build && make DESTDIR=%buildroot install

%clean 
rm -rf %buildroot



%changelog
* Fri Sep 21 2007 Tiago Salem <salem@mandriva.com.br> 3.93.0-0.714873.1mdv2008.0
+ Revision: 91939
- Fixing BuildRequires
- import kdeplayground4-plasma


